# Queue in maplibre::render::resource::buffer_pool - Rust
API documentation for the Rust `Queue` trait in crate `maplibre`.
Keywords: rust, rustlang, rust-lang, Queue

# Trait maplibre::render::resource::buffer_pool::Queue

source · [−]

    pub trait Queue<B> {
        fn write_buffer(&self, buffer: &B, offset: BufferAddress, data: &[u8]);
    }

## Required methods

source

#### fn write_buffer(&self, buffer: &B, offset: BufferAddress, data: &[ u8 ])

## Implementations on Foreign Types

source

### impl Queue<Buffer> for Queue

source

#### fn write_buffer(&self, buffer: &Buffer, offset: BufferAddress, data: &[ u8 ])

## Implementors